Bug 226315 - Merge Review: prelink
Merge Review: prelink
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 15:43 EST by Nobody's working on this, feel free to take it
Modified: 2016-12-20 06:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 06:59:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against rawhide spec (752 bytes, patch)
2010-08-18 17:31 EDT, Susi Lehtola
no flags Details | Diff
Patch against rawhide spec (5.88 KB, patch)
2010-08-18 17:33 EDT, Susi Lehtola
no flags Details | Diff

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:43:01 EST
Fedora Merge Review: prelink

http://cvs.fedora.redhat.com/viewcvs/devel/prelink/
Initial Owner: jakub@redhat.com
Comment 1 Susi Lehtola 2010-01-01 13:21:27 EST
rpmlint output:
prelink.src: W: no-url-tag
prelink.src:215: W: macro-in-%changelog %{_sysconfdir}
prelink.src:337: W: macro-in-%changelog %{_sysconfdir}
prelink.src:364: W: macro-in-%changelog %{_sysconfdir}
prelink.src:384: W: macro-in-%changelog %{_sysconfdir}
prelink.src:540: W: macro-in-%changelog %{_sysconfdir}
prelink.src:630: W: macro-in-%changelog %{_sysconfdir}
prelink.src: W: no-cleaning-of-buildroot %install
prelink.x86_64: W: no-url-tag
prelink.x86_64: E: statically-linked-binary /usr/sbin/prelink
prelink.x86_64: W: non-conffile-in-etc /etc/rpm/macros.prelink
prelink.x86_64: W: log-files-without-logrotate /var/log/prelink
prelink-debuginfo.x86_64: W: no-url-tag
3 packages and 0 specfiles checked; 1 errors, 12 warnings.

- Fix the above.

**

- I'd move the definition
 %define date 20090925
to the top of the spec file, change the %define to %global and add it also to the Release field, i.e.
 Release: 3.%{date}%{?dist}

- Modernize obsolete BuildRoot to
 BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

- Move tests to %check phase.

- Don't use %makeinstall, it's deprecated.
http://fedoraproject.org/wiki/Packaging/Guidelines#Why_the_.25makeinstall_macro_should_not_be_used

- Change
 mkdir -p %{buildroot}%{_sysconfdir}/rpm
 cp -a %{SOURCE2} %{buildroot}%{_sysconfdir}
 mkdir -p %{buildroot}%{_sysconfdir}/{sysconfig,cron.daily,prelink.conf.d}
 cp -a %{SOURCE3} %{buildroot}%{_sysconfdir}/cron.daily/prelink
 cp -a %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/prelink
 chmod 755 %{buildroot}%{_sysconfdir}/cron.daily/prelink
 chmod 644 %{buildroot}%{_sysconfdir}/{sysconfig/prelink,prelink.conf}
to
 install -D -p -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/prelink.conf
 install -D -p -m 755 %{SOURCE3} %{buildroot}%{_sysconfdir}/cron.daily/prelink
 install -D -p -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/prelink
 install -D -p -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/rpm/macros.prelink
where the contents of cat > << EOF has been placed in SOURCE5.

- Drop the %attr lines from %files, as they are unnecessary (default permissions).
Comment 2 Susi Lehtola 2010-01-01 13:26:41 EST
- Change
 %{_prefix}/sbin/prelink
 %{_prefix}/bin/execstack
to
 %{_sbindir}/prelink
 %{_bindir}/execstack

***

MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. NEEDSWORK
- Source URL gives 404.

MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK

MUST: Permissions on files must be set properly. NEEDSWORK
- Drop the unnecessary %attr lines as instructed above.

MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. NEEDSWORK
- Add AUTHORS, ChangeLog, COPYING, NEWS, README, THANKS and TODO to %doc.

MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK

MUST: Buildroot cleaned before install. NEEDSWORK

SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 3 Susi Lehtola 2010-08-18 17:30:45 EDT
rpmlint currently stands at:

prelink.src: W: spelling-error %description -l en_US executables -> executable, executable s, executants
prelink.src: W: spelling-error %description -l en_US relocations -> relocation, relocation's, revocations
prelink.src: W: spelling-error %description -l en_US runtime -> run time, run-time, runtish
prelink.src: W: no-url-tag
prelink.src:259: W: macro-in-%changelog %{_sysconfdir}
prelink.src:381: W: macro-in-%changelog %{_sysconfdir}
prelink.src:408: W: macro-in-%changelog %{_sysconfdir}
prelink.src:428: W: macro-in-%changelog %{_sysconfdir}
prelink.src:584: W: macro-in-%changelog %{_sysconfdir}
prelink.src:674: W: macro-in-%changelog %{_sysconfdir}
prelink.src: W: no-cleaning-of-buildroot %install
prelink.src: W: invalid-url Source0: http://people.redhat.com/jakub/prelink/prelink-20100714.tar.bz2 HTTP Error 404: Not Found
prelink.x86_64: W: spelling-error %description -l en_US executables -> executable, executable s, executants
prelink.x86_64: W: spelling-error %description -l en_US relocations -> relocation, relocation's, revocations
prelink.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, runtish
prelink.x86_64: W: no-url-tag
prelink.x86_64: E: statically-linked-binary /usr/sbin/prelink
prelink.x86_64: W: non-conffile-in-etc /etc/rpm/macros.prelink
prelink.x86_64: W: log-files-without-logrotate /var/log/prelink
prelink-debuginfo.x86_64: W: no-url-tag
3 packages and 0 specfiles checked; 1 errors, 19 warnings.


after fixes (patch in next comment):

prelink.x86_64: W: spelling-error %description -l en_US executables -> executable, executable s, executants
prelink.x86_64: W: spelling-error %description -l en_US relocations -> relocation, relocation's, revocations
prelink.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, runtish
prelink.x86_64: W: no-url-tag
prelink.x86_64: E: statically-linked-binary /usr/sbin/prelink
prelink.x86_64: W: non-conffile-in-etc /etc/rpm/macros.prelink
prelink.x86_64: W: log-files-without-logrotate /var/log/prelink
prelink-debuginfo.x86_64: W: no-url-tag
prelink.src: W: spelling-error %description -l en_US executables -> executable, executable s, executants
prelink.src: W: spelling-error %description -l en_US relocations -> relocation, relocation's, revocations
prelink.src: W: spelling-error %description -l en_US runtime -> run time, run-time, runtish
prelink.src: W: no-url-tag
prelink.src:36: W: macro-in-comment %{makeinstall}
prelink.src: W: no-cleaning-of-buildroot %install
prelink.src: W: invalid-url Source0: http://people.redhat.com/jakub/prelink/prelink-20100714.tar.bz2 HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 1 errors, 14 warnings.

These are OK except for the missing URL tag and invalid source0.
Comment 4 Susi Lehtola 2010-08-18 17:31:28 EDT
Created attachment 439518 [details]
Patch against rawhide spec
Comment 5 Susi Lehtola 2010-08-18 17:33:31 EDT
Created attachment 439519 [details]
Patch against rawhide spec
Comment 6 Susi Lehtola 2010-08-18 17:41:59 EDT
Ugh, chromium messed up on me. The correct patch is in comment #5. What I have done in the patch is:
- modernized buildroot tag (you can as well remove it altogether, if you like)
- moved testing to %check
- made the %install section a bit clearer (if you don't this changes, just scrap it)
- added missing documentation to %doc
- switched to using %{_bindir} and %{_sbindir} macros
- fixed macros in comments.

Since the makefile is missing the DESTDIR target, looks like makeinstall needs to be used for now. However, as you are upstream, I'm sure you could fix this in a jiffy.

What still needs to be done is the source URL - the "we are upstream" exception was removed from the Packaging Guidelines a while ago. Please ask for a project for prelink on fedorahosted.org and make the stuff available there.

Once you have done this I can safely approve this review.


PS. Maybe you'll want to add license headers to the test suite, too.
Comment 7 Cole Robinson 2015-02-11 15:38:32 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 8 Jan Kurik 2015-07-15 11:24:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 9 Fedora End Of Life 2016-11-24 05:20:57 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2016-12-20 06:59:29 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.